import { csv, descending } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/yyaaa1/2d1695dc6e68738edf3a6dfb5f297413/raw/484146d4b1265a2a4a233f8ecafe4a205ac91116/obese_nations_iso.csv'; 
export const getData = async () => {
  let data = await csv(csvUrl);
  
  data.sort((a, b) => descending(+a.value, +b.value));
  
  data = data.slice(0, 80);
  
  // Have a look at the attributes available in the console!
  console.log(data[0]);

  return data;
};